Package org.xnio

# Enum CompressionType

java.lang.Object
java.lang.Enum<CompressionType>
org.xnio.CompressionType

All Implemented Interfaces:
  `Serializable`, `Comparable<CompressionType>`, `java.lang.constant.Constable`

public enum CompressionType extends Enum<CompressionType>
Supported compression types.

Author:
  David M. Lloyd

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFLATE`
ZLIB compatible compression.
`GZIP`
GZIP compatible compression.

## Method Summary

Modifier and Type
Method
Description
`static CompressionType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompressionType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFLATE

public static final CompressionType DEFLATE
ZLIB compatible compression.

### GZIP

public static final CompressionType GZIP
GZIP compatible compression.

## Method Details

### values

public static CompressionType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompressionType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null